Get all transactions
get
/fscmRestApi/resources/11.13.18.05/receivingTransactionsHistory
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Find receiving transactions according to primary key.
Finder Variables- TransactionId; integer; Value that uniquely identifies the receiving transaction.
- findByLotAndSerial Find receiving transactions for a lot or a serial or both.
Finder Variables- ItemId; integer; Value that uniquely identifies the item.
- ItemNumber; string; Name of the item.
- LotNumber; string; Number that identifies the lot.
- OrganizationCode; string; Abbreviation that identifies the receiving organization.
- OrganizationId; integer; Value that uniquely identifies the receiving organization.
- SerialNumber; string; Serial number of the item. Don't use this finder if the transaction has more than 15 serial numbers.
- PrimaryKey Find receiving transactions according to primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AccrualStatusCode; string; Abbreviation that identifies the interface status of the receiving transaction from receiving to costing. Values are Pending, Interfaced, or Error.
- Amount; number; Amount for the transaction.
- AmountBilled; number; Amount invoiced by Oracle Payables Cloud for the transaction in terms of the purchase order currency.
- AssessableValue; number; Value that indicates the price that the tax authorities use to calculate the tax for the item.
- BackToBackFlag; boolean; Contains one of the following values: true or false. If true, then the application created the receiving transaction for a back-to-back order. If false, then the application didn't create the receiving transaction for a back-to-back order. The default value is false.
- BillingUOMCode; string; Abbreviation that identifies the UOM used for billing by Oracle Fusion Payables.
- BillingUnitOfMeasure; string; UOM used for billing by Oracle Fusion Payables.
- BusinessEventPublishedFlag; boolean; Contains one of the following values: true or false. If true, then Oracle Fusion Receiving created a business event for this receiving transaction. If false, then Oracle Fusion Receiving didn't create a business event for this receiving transaction. The default value is false.
- Comments; string; Note that the receiver created.
- ConsignedFlag; boolean; Contains one of the following values: true or false. If true, then the application created the transaction for consigned material. If false, then the application didn't create the transaction for consigned material. The default value is false.
- CountryOfOriginCode; string; Abbreviation that identifies the country of manufacture for this item.
- CurrencyCode; string; Abbreviation that identifies the currency of the receiving transaction.
- CurrencyConversionDate; string; Date when the currency conversion occurred for the receipt.
- CurrencyConversionRate; number; Currency conversion rate for the receipt.
- CurrencyConversionType; string; Type of currency conversion rate for the purchase order.
- CurrencyName; string; Currency of the receiving transaction.
- CustomerId; integer; Value that uniquely identifies the customer.
- CustomerName; string; Name of the customer.
- DefaultTaxationCountryCode; string; Value that identifies the country for the receiving transaction, which is used to determine the tax for the item.
- DeliverToLocationId; integer; Value that uniquely identifies the deliver-to location.
- DeliverToLocationName; string; Name of the deliver-to location.
- DeliverToPersonId; integer; Value that uniquely identifies the deliver-to person or the requester.
- DeliverToPersonName; string; Name of the deliver-to person or requester.
- DestinationType; string; Destination type of the receiving transaction.
- DestinationTypeCode; string; Abbreviation that identifies the destination type of the receiving transaction. A list of accepted values is defined in the lookup type RCV_DESTINATION_TYPE.
- DocumentFiscalClassification; string; Value that identifies the classification of the fiscal document, which is used to determine the tax. It's also known as tax document subtype.
- ElectronicRecordId; integer; Value that uniquely identifies the electronic record.
- EmployeeId; integer; Value that uniquely identifies the employee who performed the receiving transaction.
- EmployeeName; string; Name of the employee who performed the receiving transaction.
- ExternalSystemPackingUnit; string; Packing unit from a warehouse management system that resides outside of Oracle Fusion applications.
- ExternalSystemTransactionReference; string; Value that contains reference information for the corresponding transaction in external applications.
- FinalDischargeLocationId; integer; Value that indicates the final discharge location, which is used to calculate the tax for the item.
- FirstPartyTaxRegistrationId; integer; Value that identifies the tax registration for the first party of the receiving transaction, which is used to determine the tax for the item.
- FromLocator; string; Name of the source locator.
- FromLocatorId; integer; Value that uniquely identifies the source locator.
- FromOrganizationCode; string; Abbreviation that identifies the source organization for an in-transit shipment.
- FromOrganizationId; integer; Value that uniquely identifies the source organization for an in-transit shipment.
- FromOrganizationName; string; Name of the source organization for an in-transit shipment.
- FromSubinventory; string; Code of the source subinventory.
- FromSubinventoryName; string; Name of the source subinventory.
- GroupId; integer; Value that uniquely identifies the group of receiving transactions.
- InspectionQuality; string; Inspection quality.
- InspectionStatus; string; Inspection status.
- InspectionStatusCode; string; Abbreviation that identifies the inspection status. A list of accepted values is defined in the lookup type RCV_TRANSACTION_TYPE.
- IntendedUseClassificationId; integer; Value that identifies the intended use classification for the receiving transaction, which is used to determine the tax for the item.
- IntendedUseCode; string; Value that identifies the intended use for the receiving item for the item, which is used to determine the tax for the item.
- InterfaceReturnsToShippingFlag; boolean; Contains one of the following values: true or false. If true, then the application interfaced a return transaction to shipping to print the shipping documents. If false, then the application didn't interface a return transaction to shipping to print shipping documents. The default value is false.
- ItemDescription; string; Description of the item.
- ItemId; integer; Value that uniquely identifies the item.
- ItemNumber; string; Name of the item.
- ItemRevision; string; Revision number of the item.
- LPNId; integer; Value that uniquely identifies the License Plate Number.
- LicensePlateNumber; string; Name of the License Plate Number.
- LineNumber; integer; Line number of the receipt.
- Locator; string; Name of the destination locator.
- LocatorId; integer; Value that uniquely identifies the destination locator.
- LotControlCode; number; Abbreviation that identifies the lot control code of the inventory item. A list of accepted values is defined in the lookup type EGP_LOT_CONTROL_CODE_TYPE.
- OrganizationCode; string; Abbreviation that identifies the receiving organization.
- OrganizationId; integer; Value that uniquely identifies the receiving organization.
- OrganizationName; string; Name of the receiving organization.
- PODistributionId; integer; Value that uniquely identifies the purchase order distribution.
- PODistributionNumber; number; Number that identifies the purchase order distribution.
- POHeaderId; integer; Value that uniquely identifies the purchase order header.
- POLineId; integer; Value that uniquely identifies the purchase order line.
- POLineLocationId; integer; Value that uniquely identifies the purchase order schedule.
- POLineNumber; number; Number that identifies the purchase order line.
- PONumber; string; Number that identifies the purchase order header.
- POShipmentNumber; number; Number that identifies the purchase order schedule.
- ParentTransactionId; integer; Value that uniquely identifies the parent receiving transaction.
- ParentTransactionType; string; Transaction type of the parent receiving transaction.
- ParentTransactionTypeCode; string; Abbreviation that identifies the transaction type of the parent receiving transaction. A list of accepted values is defined in the lookup type RCV_TRANSACTION_TYPE.
- PhysicalReturnRequiredFlag; boolean; Contains one of the following values: true or false. If true, then the application created the transaction for material that should be physically returned. If false, then the application created the transaction for material that should be scrapped. The default value is false.
- PrimaryQuantity; number; Transaction quantity in the primary unit of measure that the item uses.
- PrimaryUOMCode; string; Abbreviation that identifies the primary unit of measure that the item uses.
- PrimaryUnitOfMeasure; string; Primary unit of measure for the item.
- ProductCategoryCode; string; Value that identifies the product category for the receiving transaction, which is used to determine the tax for the item.
- ProductFiscalClassificationId; integer; Value that identifies the product fiscal classification for the inventory item, which is used to determine the tax for the item.
- ProductTypeCode; string; Value that identifies the product type of the inventory item, which is used to determine the tax for the item. Values include Goods or Services.
- Quantity; number; Transaction quantity in the unit of measure that the receiving transaction uses.
- QuantityBilled; number; Quantity invoiced by Oracle Payables Cloud for the current receiving transaction.
- RMAReference; string; Number that identifies the return material authorization to use when returning goods to the supplier.
- Reason; string; Name of the inventory transaction reason for the receiving transaction.
- ReceiptAdviceDocument; string; Type of receipt advice document.
- ReceiptAdviceDocumentCode; string; Abbreviation that identifies the document type for the receipt advice. A list of accepted values is defined in the lookup type RCV_SOURCE_DOCUMENT_TYPE.
- ReceiptAdviceDocumentLineNumber; string; Value that identifies the line number for the receipt advice.
- ReceiptAdviceDocumentNumber; string; Value that identifies the number of the receipt advice.
- ReceiptAdviceHeaderId; integer; Value that uniquely identifies the receipt advice header.
- ReceiptAdviceLineId; integer; Value that uniquely identifies the receipt advice line.
- ReceiptAdviceLineNumber; string; Number that uniquely identifies the RMA fulfillment line.
- ReceiptConfirmationMessageNumber; integer; Message number that groups the receiving transactions that the receipt confirmation communicates.
- ReceiptConfirmationStatusCode; string; Value that indicates whether or not the receipt confirmation is sent from Oracle Receiving Cloud to the source application for a document number. Valid values include Pending or Sent.
- ReceiptExceptionFlag; boolean; Contains one of the following values: true or false. If true, then the application found an exception when creating the receiving transaction. If false, then the application didn't find any exception when creating the receiving transaction. The default value is false.
- ReceiptNumber; string; Number that identifies the receipt.
- ReturnForCreditFlag; boolean; Contains one of the following values: true or false.
If true, then the return transaction doesn't reopen the purchase order and the returned quantity is credited in the next receipt.
If false, then the return transaction reopens the purchase order because a replacement is expected from the supplier.
The default value is false.
This attribute is applicable only when the transaction type is RETURN TO VENDOR. - ReturnTransferOrderHeaderId; integer; Value that uniquely identifies the order header for the return transfer.
- ReturnTransferOrderLineId; integer; Value that uniquely identifies the order line for the return transfer.
- ReturnTransferOrderLineNumber; integer; Value that identifies the line number for the return transfer order.
- ReturnTransferOrderNumber; string; Number that identifies the return transfer order.
- SerialNumberControlCode; number; Abbreviation that identifies the serial number control code of the inventory item. A list of accepted values is defined in the lookup type EGP_SERIAL_NUMBER_CONTROL_TYPE.
- ShipFromLocationId; integer; Value that uniquely identifies the ship from location for the receiving transaction, which is used to determine the tax for the item.
- ShipmentHeaderId; integer; Value that uniquely identifies the shipment header.
- ShipmentLineId; integer; Value that uniquely identifies the shipment line.
- ShipmentNumber; string; Number that the shipment source assigns. This number corresponds to the number for one of the following documents: advanced shipment notice, in-transit shipment, or transfer order shipment.
- SourceDocument; string; Type of source document.
- SourceDocumentCode; string; Abbreviation that identifies the source document type. A list of accepted values is defined in the lookup type RCV_SOURCE_DOCUMENT_TYPE.
- Subinventory; string; Code of the destination subinventory.
- SubinventoryName; string; Name of the destination subinventory.
- TaxClassificationCode; string; Value that identifies the tax classification for the receiving transaction, which is used to determine the tax for the item.
- TaxInvoiceDate; string; Value that indicates the date and time of the fiscal document generation, which is used to determine the tax for the item.
- TaxInvoiceNumber; string; Value that identifies the fiscal document, which is used to determine the tax for the item.
- ThirdPartyTaxRegistrationId; integer; Value that identifies the tax registration for the third party of the receiving transaction, which is used to determine the tax for the item.
- TransactionBusinessCategoryCode; string; Value that identifies the transaction business category for the receiving transaction, which is used to determine the tax for the item.
- TransactionDate; string; Date when the receiving transaction occurred.
- TransactionDateTime; string; Date and time when the receiving transaction occurred.
- TransactionId; integer; Value that uniquely identifies the receiving transaction.
- TransactionType; string; Type of receiving transaction.
- TransactionTypeCode; string; Abbreviation that identifies the receiving transaction type. A list of accepted values is defined in the lookup type RCV_TRANSACTION_TYPE.
- TransferLPNId; integer; Value that uniquely identifies the Transfer License Plate Number.
- TransferLicensePlateNumber; string; Name of the Transfer License Plate Number.
- TransferOrderDistributionId; integer; Value that uniquely identifies the transfer order distribution.
- TransferOrderDistributionNumber; number; Number that identifies the transfer order distribution.
- TransferOrderHeaderId; integer; Value that uniquely identifies the transfer order header.
- TransferOrderLineId; integer; Value that uniquely identifies the transfer order line.
- TransferOrderLineNumber; integer; Number that identifies the transfer order line.
- TransferOrderNumber; string; Number that identifies the transfer order header.
- UOMCode; string; Abbreviation that identifies the unit of measure that the receiving transaction uses.
- UnitOfMeasure; string; Unit of measure for the receiving transaction.
- UserDefinedFiscalClassificationCode; string; Value that identifies the fiscal classification for the receiving transaction, which is used to determine the tax for the item This is a user-defined value.
- VendorId; integer; Value that uniquely identifies the supplier.
- VendorName; string; Name of the supplier.
- VendorSiteCode; string; Abbreviation that identifies the supplier site.
- VendorSiteId; integer; Value that uniquely identifies the supplier site.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : receivingTransactionsHistory
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : receivingTransactionsHistory-item-response
Type:
Show Source
object-
AccrualStatusCode: string
Read Only:
trueMaximum Length:25Abbreviation that identifies the interface status of the receiving transaction from receiving to costing. Values are Pending, Interfaced, or Error. -
Amount: number
Read Only:
trueAmount for the transaction. -
AmountBilled: number
Read Only:
trueAmount invoiced by Oracle Payables Cloud for the transaction in terms of the purchase order currency. -
AssessableValue: number
Read Only:
trueValue that indicates the price that the tax authorities use to calculate the tax for the item. -
BackToBackFlag: boolean
Read Only:
trueMaximum Length:1Contains one of the following values: true or false. If true, then the application created the receiving transaction for a back-to-back order. If false, then the application didn't create the receiving transaction for a back-to-back order. The default value is false. -
BillingUnitOfMeasure: string
Read Only:
trueMaximum Length:25UOM used for billing by Oracle Fusion Payables. -
BillingUOMCode: string
Read Only:
trueMaximum Length:3Abbreviation that identifies the UOM used for billing by Oracle Fusion Payables. -
BusinessEventPublishedFlag: boolean
Read Only:
trueMaximum Length:1Contains one of the following values: true or false. If true, then Oracle Fusion Receiving created a business event for this receiving transaction. If false, then Oracle Fusion Receiving didn't create a business event for this receiving transaction. The default value is false. -
Comments: string
Read Only:
trueMaximum Length:240Note that the receiver created. -
ConsignedFlag: boolean
Read Only:
trueMaximum Length:1Contains one of the following values: true or false. If true, then the application created the transaction for consigned material. If false, then the application didn't create the transaction for consigned material. The default value is false. -
CountryOfOriginCode: string
Read Only:
trueMaximum Length:2Abbreviation that identifies the country of manufacture for this item. -
CreatedBy: string
Read Only:
trueMaximum Length:255The user who created the record. -
CreationDate: string
(date-time)
Read Only:
trueThe date and time when the record was created. -
CurrencyCode: string
Read Only:
trueMaximum Length:15Abbreviation that identifies the currency of the receiving transaction. -
CurrencyConversionDate: string
(date)
Read Only:
trueDate when the currency conversion occurred for the receipt. -
CurrencyConversionRate: number
Read Only:
trueCurrency conversion rate for the receipt. -
CurrencyConversionType: string
Read Only:
trueMaximum Length:30Type of currency conversion rate for the purchase order. -
CurrencyName: string
Read Only:
trueMaximum Length:80Currency of the receiving transaction. -
CustomerId: integer
(int64)
Read Only:
trueValue that uniquely identifies the customer. -
CustomerName: string
Read Only:
trueMaximum Length:360Name of the customer. -
DefaultTaxationCountryCode: string
Read Only:
trueMaximum Length:2Value that identifies the country for the receiving transaction, which is used to determine the tax for the item. -
DeliverToLocationId: integer
(int64)
Read Only:
trueValue that uniquely identifies the deliver-to location. -
DeliverToLocationName: string
Read Only:
trueMaximum Length:240Name of the deliver-to location. -
DeliverToPersonId: integer
(int64)
Read Only:
trueValue that uniquely identifies the deliver-to person or the requester. -
DeliverToPersonName: string
Read Only:
trueMaximum Length:2000Name of the deliver-to person or requester. -
DestinationType: string
Read Only:
trueMaximum Length:80Destination type of the receiving transaction. -
DestinationTypeCode: string
Read Only:
trueMaximum Length:25Abbreviation that identifies the destination type of the receiving transaction. A list of accepted values is defined in the lookup type RCV_DESTINATION_TYPE. -
DocumentFiscalClassification: string
Read Only:
trueMaximum Length:240Value that identifies the classification of the fiscal document, which is used to determine the tax. It's also known as tax document subtype. -
ElectronicRecordId: integer
(int64)
Read Only:
trueValue that uniquely identifies the electronic record. -
EmployeeId: integer
(int64)
Read Only:
trueValue that uniquely identifies the employee who performed the receiving transaction. -
EmployeeName: string
Read Only:
trueMaximum Length:2000Name of the employee who performed the receiving transaction. -
EnteredLotsCount: number
Read Only:
trueTotal number of lots entered. -
EnteredSerialsCount: number
Read Only:
trueTotal number of serial numbers entered. -
ExternalSystemPackingUnit: string
Read Only:
trueMaximum Length:150Packing unit from a warehouse management system that resides outside of Oracle Fusion applications. -
ExternalSystemTransactionReference: string
Read Only:
trueMaximum Length:300Value that contains reference information for the corresponding transaction in external applications. -
FinalDischargeLocationId: integer
(int64)
Read Only:
trueValue that indicates the final discharge location, which is used to calculate the tax for the item. -
FirstPartyTaxRegistrationId: integer
(int64)
Read Only:
trueValue that identifies the tax registration for the first party of the receiving transaction, which is used to determine the tax for the item. -
FromLocator: string
Read Only:
trueMaximum Length:4000Name of the source locator. -
FromLocatorId: integer
(int64)
Read Only:
trueValue that uniquely identifies the source locator. -
FromOrganizationCode: string
Read Only:
trueMaximum Length:18Abbreviation that identifies the source organization for an in-transit shipment. -
FromOrganizationId: integer
(int64)
Read Only:
trueValue that uniquely identifies the source organization for an in-transit shipment. -
FromOrganizationName: string
Read Only:
trueMaximum Length:240Name of the source organization for an in-transit shipment. -
FromSubinventory: string
Read Only:
trueMaximum Length:240Code of the source subinventory. -
FromSubinventoryName: string
Read Only:
trueMaximum Length:30Name of the source subinventory. -
GroupId: integer
(int64)
Read Only:
trueValue that uniquely identifies the group of receiving transactions. -
InspectionQuality: string
Read Only:
trueMaximum Length:80Inspection quality. -
InspectionStatus: string
Read Only:
trueMaximum Length:80Inspection status. -
InspectionStatusCode: string
Read Only:
trueMaximum Length:25Abbreviation that identifies the inspection status. A list of accepted values is defined in the lookup type RCV_TRANSACTION_TYPE. -
IntendedUseClassificationId: integer
(int64)
Read Only:
trueValue that identifies the intended use classification for the receiving transaction, which is used to determine the tax for the item. -
IntendedUseCode: string
Read Only:
trueMaximum Length:240Value that identifies the intended use for the receiving item for the item, which is used to determine the tax for the item. -
InterfaceReturnsToShippingFlag: boolean
Read Only:
trueMaximum Length:1Contains one of the following values: true or false. If true, then the application interfaced a return transaction to shipping to print the shipping documents. If false, then the application didn't interface a return transaction to shipping to print shipping documents. The default value is false. -
inventoryStripingDFF: array
inventoryStripingDFF
-
ItemDescription: string
Read Only:
trueMaximum Length:240Description of the item. -
ItemId: integer
(int64)
Read Only:
trueValue that uniquely identifies the item. -
ItemNumber: string
Read Only:
trueMaximum Length:300Name of the item. -
ItemRevision: string
Read Only:
trueMaximum Length:18Revision number of the item. -
LastUpdateDate: string
(date-time)
Read Only:
trueThe date and time when the record was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:255The user who last updated the record. -
LicensePlateNumber: string
Read Only:
trueMaximum Length:30Name of the License Plate Number. -
LineNumber: integer
(int64)
Read Only:
trueLine number of the receipt. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Locator: string
Read Only:
trueMaximum Length:4000Name of the destination locator. -
LocatorId: integer
(int64)
Read Only:
trueValue that uniquely identifies the destination locator. -
LotControlCode: number
Read Only:
trueAbbreviation that identifies the lot control code of the inventory item. A list of accepted values is defined in the lookup type EGP_LOT_CONTROL_CODE_TYPE. -
lots: array
Lots
Title:
LotsThe Lots resource manages the lots associated to a receiving transaction. -
LPNId: integer
(int64)
Read Only:
trueValue that uniquely identifies the License Plate Number. -
OrganizationCode: string
Read Only:
trueMaximum Length:18Abbreviation that identifies the receiving organization. -
OrganizationId: integer
(int64)
Read Only:
trueValue that uniquely identifies the receiving organization. -
OrganizationName: string
Read Only:
trueMaximum Length:240Name of the receiving organization. -
ParentTransactionId: integer
(int64)
Read Only:
trueValue that uniquely identifies the parent receiving transaction. -
ParentTransactionType: string
Read Only:
trueMaximum Length:25Transaction type of the parent receiving transaction. -
ParentTransactionTypeCode: string
Read Only:
trueMaximum Length:25Abbreviation that identifies the transaction type of the parent receiving transaction. A list of accepted values is defined in the lookup type RCV_TRANSACTION_TYPE. -
PhysicalReturnRequiredFlag: boolean
Read Only:
trueMaximum Length:1Contains one of the following values: true or false. If true, then the application created the transaction for material that should be physically returned. If false, then the application created the transaction for material that should be scrapped. The default value is false. -
PODistributionId: integer
(int64)
Read Only:
trueValue that uniquely identifies the purchase order distribution. -
PODistributionNumber: number
Read Only:
trueNumber that identifies the purchase order distribution. -
POHeaderId: integer
(int64)
Read Only:
trueValue that uniquely identifies the purchase order header. -
POLineId: integer
(int64)
Read Only:
trueValue that uniquely identifies the purchase order line. -
POLineLocationId: integer
(int64)
Read Only:
trueValue that uniquely identifies the purchase order schedule. -
POLineNumber: number
Read Only:
trueNumber that identifies the purchase order line. -
PONumber: string
Read Only:
trueMaximum Length:30Number that identifies the purchase order header. -
POShipmentNumber: number
Read Only:
trueNumber that identifies the purchase order schedule. -
PrimaryQuantity: number
Read Only:
trueTransaction quantity in the primary unit of measure that the item uses. -
PrimaryUnitOfMeasure: string
Read Only:
trueMaximum Length:25Primary unit of measure for the item. -
PrimaryUOMCode: string
Read Only:
trueMaximum Length:3Abbreviation that identifies the primary unit of measure that the item uses. -
ProductCategoryCode: string
Read Only:
trueMaximum Length:240Value that identifies the product category for the receiving transaction, which is used to determine the tax for the item. -
ProductFiscalClassificationId: integer
(int64)
Read Only:
trueValue that identifies the product fiscal classification for the inventory item, which is used to determine the tax for the item. -
ProductTypeCode: string
Read Only:
trueMaximum Length:240Value that identifies the product type of the inventory item, which is used to determine the tax for the item. Values include Goods or Services. -
Quantity: number
Read Only:
trueTransaction quantity in the unit of measure that the receiving transaction uses. -
QuantityBilled: number
Read Only:
trueQuantity invoiced by Oracle Payables Cloud for the current receiving transaction. -
Reason: string
Read Only:
trueMaximum Length:30Name of the inventory transaction reason for the receiving transaction. -
ReceiptAdviceDocument: string
Read Only:
trueMaximum Length:80Type of receipt advice document. -
ReceiptAdviceDocumentCode: string
Read Only:
trueMaximum Length:25Abbreviation that identifies the document type for the receipt advice. A list of accepted values is defined in the lookup type RCV_SOURCE_DOCUMENT_TYPE. -
ReceiptAdviceDocumentLineNumber: string
Read Only:
trueMaximum Length:80Value that identifies the line number for the receipt advice. -
ReceiptAdviceDocumentNumber: string
Read Only:
trueMaximum Length:80Value that identifies the number of the receipt advice. -
ReceiptAdviceHeaderId: integer
(int64)
Read Only:
trueValue that uniquely identifies the receipt advice header. -
ReceiptAdviceLineId: integer
(int64)
Read Only:
trueValue that uniquely identifies the receipt advice line. -
ReceiptAdviceLineNumber: string
Read Only:
trueMaximum Length:80Number that uniquely identifies the RMA fulfillment line. -
receiptAttachments: array
Attachments
Title:
AttachmentsThe attachments resource is used to view, create, and update attachments. -
ReceiptConfirmationMessageNumber: integer
(int64)
Read Only:
trueMessage number that groups the receiving transactions that the receipt confirmation communicates. -
ReceiptConfirmationStatusCode: string
Read Only:
trueMaximum Length:25Value that indicates whether or not the receipt confirmation is sent from Oracle Receiving Cloud to the source application for a document number. Valid values include Pending or Sent. -
receiptDFF: array
receiptDFF
-
ReceiptExceptionFlag: boolean
Read Only:
trueMaximum Length:1Contains one of the following values: true or false. If true, then the application found an exception when creating the receiving transaction. If false, then the application didn't find any exception when creating the receiving transaction. The default value is false. -
ReceiptNumber: string
Read Only:
trueMaximum Length:30Number that identifies the receipt. -
ReturnForCreditFlag: boolean
Read Only:
trueMaximum Length:1Contains one of the following values: true or false.
If true, then the return transaction doesn't reopen the purchase order and the returned quantity is credited in the next receipt.
If false, then the return transaction reopens the purchase order because a replacement is expected from the supplier.
The default value is false.
This attribute is applicable only when the transaction type is RETURN TO VENDOR. -
ReturnTransferOrderHeaderId: integer
(int64)
Read Only:
trueValue that uniquely identifies the order header for the return transfer. -
ReturnTransferOrderLineId: integer
(int64)
Read Only:
trueValue that uniquely identifies the order line for the return transfer. -
ReturnTransferOrderLineNumber: integer
(int32)
Read Only:
trueValue that identifies the line number for the return transfer order. -
ReturnTransferOrderNumber: string
Read Only:
trueMaximum Length:50Number that identifies the return transfer order. -
RMAReference: string
Read Only:
trueMaximum Length:30Number that identifies the return material authorization to use when returning goods to the supplier. -
SecondaryQuantity: number
Read Only:
trueTransaction quantity in the secondary unit of measure that the item uses. -
SecondaryUnitOfMeasure: string
Read Only:
trueMaximum Length:25Secondary unit of measure for the item. -
SecondaryUOMCode: string
Read Only:
trueMaximum Length:3Abbreviation that identifies the secondary unit of measure that the item uses. -
SerialNumberControlCode: number
Read Only:
trueAbbreviation that identifies the serial number control code of the inventory item. A list of accepted values is defined in the lookup type EGP_SERIAL_NUMBER_CONTROL_TYPE. -
serials: array
Serials
Title:
SerialsThe Serials resource manages the serials associated to a receiving transaction. -
ShipFromLocationId: integer
(int64)
Read Only:
trueValue that uniquely identifies the ship from location for the receiving transaction, which is used to determine the tax for the item. -
ShipmentHeaderId: integer
(int64)
Read Only:
trueValue that uniquely identifies the shipment header. -
ShipmentLineId: integer
(int64)
Read Only:
trueValue that uniquely identifies the shipment line. -
ShipmentNumber: string
Read Only:
trueMaximum Length:30Number that the shipment source assigns. This number corresponds to the number for one of the following documents: advanced shipment notice, in-transit shipment, or transfer order shipment. -
SourceDocument: string
Read Only:
trueMaximum Length:80Type of source document. -
SourceDocumentCode: string
Read Only:
trueMaximum Length:25Abbreviation that identifies the source document type. A list of accepted values is defined in the lookup type RCV_SOURCE_DOCUMENT_TYPE. -
Subinventory: string
Read Only:
trueMaximum Length:10Code of the destination subinventory. -
SubinventoryName: string
Read Only:
trueMaximum Length:30Name of the destination subinventory. -
TaxClassificationCode: string
Read Only:
trueMaximum Length:50Value that identifies the tax classification for the receiving transaction, which is used to determine the tax for the item. -
TaxInvoiceDate: string
(date)
Read Only:
trueValue that indicates the date and time of the fiscal document generation, which is used to determine the tax for the item. -
TaxInvoiceNumber: string
Read Only:
trueMaximum Length:150Value that identifies the fiscal document, which is used to determine the tax for the item. -
ThirdPartyTaxRegistrationId: integer
(int64)
Read Only:
trueValue that identifies the tax registration for the third party of the receiving transaction, which is used to determine the tax for the item. -
transactionAttachments: array
Attachments
Title:
AttachmentsThe attachments resource is used to view, create, and update attachments. -
TransactionBusinessCategoryCode: string
Read Only:
trueMaximum Length:240Value that identifies the transaction business category for the receiving transaction, which is used to determine the tax for the item. -
TransactionDate: string
(date)
Read Only:
trueDate when the receiving transaction occurred. -
TransactionDateTime: string
(date-time)
Read Only:
trueDate and time when the receiving transaction occurred. -
transactionDFFs: array
transactionDFFs
-
TransactionId: integer
Read Only:
trueValue that uniquely identifies the receiving transaction. -
TransactionType: string
Read Only:
trueMaximum Length:25Type of receiving transaction. -
TransactionTypeCode: string
Read Only:
trueMaximum Length:25Abbreviation that identifies the receiving transaction type. A list of accepted values is defined in the lookup type RCV_TRANSACTION_TYPE. -
TransferLicensePlateNumber: string
Read Only:
trueMaximum Length:30Name of the Transfer License Plate Number. -
TransferLPNId: integer
(int64)
Read Only:
trueValue that uniquely identifies the Transfer License Plate Number. -
TransferOrderDistributionId: integer
(int64)
Read Only:
trueValue that uniquely identifies the transfer order distribution. -
TransferOrderDistributionNumber: number
Read Only:
trueNumber that identifies the transfer order distribution. -
TransferOrderHeaderId: integer
(int64)
Read Only:
trueValue that uniquely identifies the transfer order header. -
TransferOrderLineId: integer
(int64)
Read Only:
trueValue that uniquely identifies the transfer order line. -
TransferOrderLineNumber: integer
(int32)
Read Only:
trueNumber that identifies the transfer order line. -
TransferOrderNumber: string
Read Only:
trueMaximum Length:50Number that identifies the transfer order header. -
UnitOfMeasure: string
Read Only:
trueMaximum Length:25Unit of measure for the receiving transaction. -
UOMCode: string
Read Only:
trueMaximum Length:3Abbreviation that identifies the unit of measure that the receiving transaction uses. -
UserDefinedFiscalClassificationCode: string
Read Only:
trueMaximum Length:30Value that identifies the fiscal classification for the receiving transaction, which is used to determine the tax for the item This is a user-defined value. -
VendorId: integer
(int64)
Read Only:
trueValue that uniquely identifies the supplier. -
VendorName: string
Read Only:
trueMaximum Length:360Name of the supplier. -
VendorSiteCode: string
Read Only:
trueMaximum Length:240Abbreviation that identifies the supplier site. -
VendorSiteId: integer
(int64)
Read Only:
trueValue that uniquely identifies the supplier site.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Lots
Type:
arrayTitle:
LotsThe Lots resource manages the lots associated to a receiving transaction.
Show Source
Nested Schema : Attachments
Type:
arrayTitle:
AttachmentsThe attachments resource is used to view, create, and update attachments.
Show Source
Nested Schema : Serials
Type:
arrayTitle:
SerialsThe Serials resource manages the serials associated to a receiving transaction.
Show Source
Nested Schema : Attachments
Type:
arrayTitle:
AttachmentsThe attachments resource is used to view, create, and update attachments.
Show Source
Nested Schema : receivingTransactionsHistory-inventoryStripingDFF-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context SegmentMaximum Length:40Context Segment -
__FLEX_Context_DisplayValue: string
Title:
Context SegmentContext Segment -
countryOfOriginCode: string
Title:
Country of OriginMaximum Length:2Country of Origin -
countryOfOriginCode_Display: string
Title:
Country of OriginCountry of Origin -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
projectId: integer
(int64)
Title:
ProjectProject -
projectId_Display: string
Title:
ProjectProject -
taskId: integer
(int64)
Title:
TaskTask -
taskId_Display: string
Title:
TaskTask -
TransactionId: integer
(int64)
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : receivingTransactionsHistory-lots-item-response
Type:
Show Source
object-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
lotAttributeDFFs: array
lotAttributeDFFs
-
LotNumber: string
Read Only:
trueMaximum Length:255Number that identifies the lot. -
lotSerials: array
Serials for Lots
Title:
Serials for LotsThe Serials for Lots resource manages the serials associated to a lot. -
lotStandardDFFs: array
lotStandardDFFs
-
SecondaryTransactionQuantity: number
Read Only:
trueSecondary quantity for the lot. -
TransactionQuantity: number
Read Only:
trueQuantity for the lot.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Serials for Lots
Type:
arrayTitle:
Serials for LotsThe Serials for Lots resource manages the serials associated to a lot.
Show Source
Nested Schema : receivingTransactionsHistory-lots-lotAttributeDFFs-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:30Context Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
LotNumber: string
Title:
LotMaximum Length:80 -
TransactionId: integer
(int64)
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : receivingTransactionsHistory-lots-lotSerials-item-response
Type:
Show Source
object-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
lotSerialAttributeDFFs: array
lotSerialAttributeDFFs
-
lotSerialStandardDFFs: array
lotSerialStandardDFFs
-
SerialNumber: string
Read Only:
trueMaximum Length:80Serial number that the application uses in the current transaction when the lot and serial control the item.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : receivingTransactionsHistory-lots-lotSerials-lotSerialAttributeDFFs-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:30Context Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
SerialNumber: string
Title:
Serial NumberMaximum Length:80 -
TransactionId: integer
(int64)
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : receivingTransactionsHistory-lots-lotSerials-lotSerialStandardDFFs-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:30Context Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
SerialNumber: string
Title:
Serial NumberMaximum Length:80 -
TransactionId: integer
(int64)
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : receivingTransactionsHistory-lots-lotStandardDFFs-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:30Context Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
LotNumber: string
Title:
LotMaximum Length:80 -
TransactionId: integer
(int64)
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : receivingTransactionsHistory-receiptAttachments-item-response
Type:
Show Source
object-
AsyncTrackerId: string
Title:
Asynchronous Upload Tracker IdAttribute provided for the exclusive use by the Attachment UI components to assist in uploading files. -
AttachedDocumentId: integer
(int64)
Title:
Attached Document IdThe unique identifier of the attached document. -
CategoryName: string
Title:
CategoryMaximum Length:30The category of the attachment. - ContentRepositoryFileShared: boolean
-
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:255The user who created the record. -
CreatedByUserName: string
Title:
Created By User NameRead Only:trueThe user name who created the record. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueThe date when the record was created. -
DatatypeCode: string
Title:
TypeMaximum Length:30Default Value:FILEA value that indicates the data type. -
Description: string
Title:
DescriptionMaximum Length:255The description of the attachment. -
DmDocumentId: string
Maximum Length:
255The document ID from which the attachment is created. -
DmFolderPath: string
Title:
Dm Folder PathMaximum Length:1000The folder path from which the attachment is created. -
DmVersionNumber: string
Maximum Length:
255The document version number from which the attachment is created. -
DownloadInfo: string
Title:
DownloadInfoJSON object represented as a string containing information used to programmatically retrieve a file attachment. -
ErrorStatusCode: string
Title:
Error Status CodeThe error code, if any, for the attachment. -
ErrorStatusMessage: string
Title:
Error Status MessageThe error message, if any, for the attachment. -
ExpirationDate: string
(date-time)
Title:
Expiration DateThe expiration date of the contents in the attachment. -
FileContents: string
(byte)
Title:
File ContentsThe contents of the attachment. -
FileName: string
Title:
File NameMaximum Length:2048The file name of the attachment. -
FileUrl: string
Title:
File UrlThe URI of the file. -
FileWebImage: string
(byte)
Title:
File Web ImageRead Only:trueThe base64 encoded image of the file displayed in .png format if the source is a convertible image. -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:trueThe date when the record was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:255The user who last updated the record. -
LastUpdatedByUserName: string
Title:
Last Updated By UserRead Only:trueThe user name who last updated the record. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PostProcessingAction: string
Title:
PostProcessingActionThe name of the action that can be performed after an attachment is uploaded. -
Title: string
Title:
TitleThe title of the attachment. -
UploadedFileContentType: string
Title:
Uploaded File Content TypeThe content type of the attachment. -
UploadedFileLength: integer
Title:
File SizeThe size of the attachment file. -
UploadedFileName: string
Title:
Uploaded File NameThe name to assign to a new attachment file. -
UploadedText: string
Title:
Uploaded TextThe text content for a new text attachment. -
Uri: string
Title:
UriMaximum Length:4000The URI of a Topology Manager type attachment. -
Url: string
Title:
UrlMaximum Length:4000The URL of a web page type attachment. -
UserName: string
Title:
User NameRead Only:trueMaximum Length:255The login credentials of the user who created the attachment.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : receivingTransactionsHistory-receiptDFF-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:30Context Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ShipmentHeaderId: integer
(int64)
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : receivingTransactionsHistory-serials-item-response
Type:
Show Source
object-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
serialAttributeDFFs: array
serialAttributeDFFs
-
SerialNumber: string
Read Only:
trueMaximum Length:80Serial number that the application uses in the current transaction when the serial controls the item. -
serialStandardDFFs: array
serialStandardDFFs
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : receivingTransactionsHistory-serials-serialAttributeDFFs-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:30Context Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
SerialNumber: string
Title:
Serial NumberMaximum Length:80 -
TransactionId: integer
(int64)
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : receivingTransactionsHistory-serials-serialStandardDFFs-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:30Context Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
SerialNumber: string
Title:
Serial NumberMaximum Length:80 -
TransactionId: integer
(int64)
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : receivingTransactionsHistory-transactionAttachments-item-response
Type:
Show Source
object-
AsyncTrackerId: string
Title:
Asynchronous Upload Tracker IdAttribute provided for the exclusive use by the Attachment UI components to assist in uploading files. -
AttachedDocumentId: integer
(int64)
Title:
Attached Document IdThe unique identifier of the attached document. -
CategoryName: string
Title:
CategoryMaximum Length:30The category of the attachment. - ContentRepositoryFileShared: boolean
-
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:255The user who created the record. -
CreatedByUserName: string
Title:
Created By User NameRead Only:trueThe user name who created the record. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueThe date when the record was created. -
DatatypeCode: string
Title:
TypeMaximum Length:30Default Value:FILEA value that indicates the data type. -
Description: string
Title:
DescriptionMaximum Length:255The description of the attachment. -
DmDocumentId: string
Maximum Length:
255The document ID from which the attachment is created. -
DmFolderPath: string
Title:
Dm Folder PathMaximum Length:1000The folder path from which the attachment is created. -
DmVersionNumber: string
Maximum Length:
255The document version number from which the attachment is created. -
DownloadInfo: string
Title:
DownloadInfoJSON object represented as a string containing information used to programmatically retrieve a file attachment. -
ErrorStatusCode: string
Title:
Error Status CodeThe error code, if any, for the attachment. -
ErrorStatusMessage: string
Title:
Error Status MessageThe error message, if any, for the attachment. -
ExpirationDate: string
(date-time)
Title:
Expiration DateThe expiration date of the contents in the attachment. -
FileContents: string
(byte)
Title:
File ContentsThe contents of the attachment. -
FileName: string
Title:
File NameMaximum Length:2048The file name of the attachment. -
FileUrl: string
Title:
File UrlThe URI of the file. -
FileWebImage: string
(byte)
Title:
File Web ImageRead Only:trueThe base64 encoded image of the file displayed in .png format if the source is a convertible image. -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:trueThe date when the record was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:255The user who last updated the record. -
LastUpdatedByUserName: string
Title:
Last Updated By UserRead Only:trueThe user name who last updated the record. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PostProcessingAction: string
Title:
PostProcessingActionThe name of the action that can be performed after an attachment is uploaded. -
Title: string
Title:
TitleThe title of the attachment. -
UploadedFileContentType: string
Title:
Uploaded File Content TypeThe content type of the attachment. -
UploadedFileLength: integer
Title:
File SizeThe size of the attachment file. -
UploadedFileName: string
Title:
Uploaded File NameThe name to assign to a new attachment file. -
UploadedText: string
Title:
Uploaded TextThe text content for a new text attachment. -
Uri: string
Title:
UriMaximum Length:4000The URI of a Topology Manager type attachment. -
Url: string
Title:
UrlMaximum Length:4000The URL of a web page type attachment. -
UserName: string
Title:
User NameRead Only:trueMaximum Length:255The login credentials of the user who created the attachment.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : receivingTransactionsHistory-transactionDFFs-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:30Context Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
TransactionId: integer
(int64)
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Examples
This example describes how to get all transactions.
Example cURL Command
Use the following cURL command to submit a request on the REST resource:
curl -u username:password "https://servername/fscmRestApi/resources/version/receivingTransactionsHistory"
Example Response Body
The following shows an example of the response body in JSON format.
{
"items": [
{
"TransactionId": 3037399,
"TransactionTypeCode": "RECEIVE",
"TransactionType": "Receive",
"TransactionDate": "2014-07-31",
"Quantity": 20,
"UOMCode": "Ea",
"UnitOfMeasure": "Each",
"PrimaryQuantity": 20,
"PrimaryUOMCode": "Ea",
"PrimaryUnitOfMeasure": "Each",
"Amount": null,
"CurrencyCode": "USD",
"CurrencyName": "US Dollar",
"CurrencyConversionType": null,
"CurrencyConversionRate": null,
"CurrencyConversionDate": null,
"ItemId": 663912,
"ItemNumber": "RCV-110",
"ItemDescription": "LSR Item"
...
},
{
"TransactionId": 3035417,
"TransactionTypeCode": "DELIVER",
"TransactionType": "Deliver",
"TransactionDate": "2014-07-31",
"Quantity": 20,
"UOMCode": "Ea",
"UnitOfMeasure": "Each",
"PrimaryQuantity": 20,
"PrimaryUOMCode": "Ea",
"PrimaryUnitOfMeasure": "Each",
"Amount": null,
"CurrencyCode": "USD",
"CurrencyName": "US Dollar",
"CurrencyConversionType": null,
"CurrencyConversionRate": null,
"CurrencyConversionDate": null,
"ItemId": 663912,
"ItemNumber": "RCV-110",
"ItemDescription": "LSR Item"
...
},
...
],
...
}